ibase_rollback_ret
ibase_server_info
Firebird/InterBase Functions
PHP Manual

# ibase_rollback

Roll back a transaction

### Description

bool ibase_rollback ([ resource `$link_or_trans_identifier` = `NULL` ] )

Rolls back a transaction.

### Parameters

`link_or_trans_identifier`

  If called without an argument, this function rolls back the default transaction of the default link. If the argument is a connection identifier, the default transaction of the corresponding connection will be rolled back. If the argument is a transaction identifier, the corresponding transaction will be rolled back.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.